const babel = require('babel-core');
const {
    join
} = require('path');

const alias = {
    'actions': 'pro/actions',
    'global': 'pro/global',
    'lib': 'pro/lib',
    'module': 'pro/module',
    'reducers': 'pro/reducers',
    'store': 'pro/store'
};

const options = {
    'plugins': [
        [join(__dirname, './plugin'), {
            alias,
            extName: '.es6'
        }]
    ]
};


const code = `
import a from 'globala';
`
const result = babel.transform(code, options);

console.log(result.code);
